#!/bin/bash

sleep 5
t=`ps -A | grep cloudSensor.py`

if [ "x$t" == "x" ]; then
    # Find the device
    for d in /dev/ttyUSB*; do
        driver=`/sbin/udevadm info -q all -n $d | grep ID_USB_DRIVER | awk -F "=" '{print $2}'`;
        if [ $driver == "ftdi_sio" ]; then
	    device=$d
        fi
    done
    echo "$HOME/bin/cloudSensor.py $device"
    $HOME/bin/cloudSensor.py $device #> /dev/null &
else
    echo "Already running"
fi

